# ESS_GLOBAL_T

This structure contains global server system parameters used for administrative purposes. All of the fields in this structure except Currency can be modified using the API. The fields are:

    typedef struct ESS_GLOBAL_T
    {
       ESS_BOOL_T   Security;
       ESS_BOOL_T   Logins;
       ESS_ACCESS_T Access;
       ESS_USHORT_T Validity;
       ESS_BOOL_T   Currency;
       ESS_USHORT_T PwMin;
       ESS_TIME_T   InactivityTime;
       ESS_TIME_T   InactivityCheck;

       ESS_USHORT_T   InvalidAttempts;
       ESS_USHORT_T   InactivityLockout;
       ESS_USHORT_T   NumPwExpWarn;
       ESS_USHORT_T   PwStoredNum;

    } ESS_GLOBAL_T, *ESS_PGLOBAL_T, **ESS_PPGLOBAL_T;

Data Type | Field | Description
ESS_BOOL_T | Security | Flag to indicate whether global security is enabled (default is ESS_TRUE, indicating security is enabled)
ESS_BOOL_T | Logins | Flag to indicate whether user logins are enabled (default is ESS_TRUE, indicating logins are enabled).
ESS_ACCESS_T | Access | The default access level for newly-created applications (default is ESS_ACCESS_NONE). See Bitmask Data Types for a list of possible values.
ESS_USHORT_T | Validity | The default password validity period (default is 365 days).
ESS_BOOL_T | Currency | Flag to indicate whether currency option is supported (this flag is read only). Set to ESS_TRUE if the currency option is enabled.
ESS_USHORT_T | PwMin | The minimum permitted password length (default is 6 characters).
ESS_TIME_T | InactivityTime | Maximum length of time, in seconds, the user can be inactive before automatic logout from all applications and the Agent. Default value: 3600 seconds. Minimum value: 300 seconds. To disable auto logout, set InactivityTime to 0.
ESS_TIME_T | InactivityCheck | Frequency of checks for auto logout, in seconds. Default value: 300 seconds. Minimum value: 30 seconds. Must be smaller than InactivityTime setting or InactivityCheck is set to the value of InactivityTime and a warning message occurs. To disable auto logout, set InactivityCheck to 0.
ESS_USHORT_T | InvalidAttempts | The number of invalid attempts allowed by a user before the system administrator is warned and the user is locked out.
ESS_USHORT_T | InactivityLockout | The duration of a period of inactivity (betweeen logins) for any user before that user is locked out (default is 365 days)
ESS_USHORT_T | NumPwExpWarn | The number of expired password warnings issued to a user before that user is locked out.
ESS_USHORT_T | PwStoredNum | The number of passwords stored for any user.